OpenGL 4 Support

Discussion in 'Parallels Desktop for Mac Feature Suggestions' started by SAYBOT, Feb 8, 2018.

  1. NghiaP

    NghiaP Bit poster

    Messages:
    1
    Can you provide a roadmap for OpenGL 4.x support?
    If you have any problems, please share with the community.
     
  2. Joey14

    Joey14 Bit poster

    Messages:
    1
    Really need OpenGL 4 support to run Vectowrks Vision software. Please give me a reason to upgrade, Thanks.
     
    Mar2 likes this.
  3. Steve29

    Steve29 Bit poster

    Messages:
    2
    Any new on OpenGL 4 support?
    Can we expect it for Parallels 18?
     
  4. h__5

    h__5 Bit poster

    Messages:
    1
    I need openGL 4.3 or higher please!
     
  5. Mar2

    Mar2 Bit poster

    Messages:
    1
    OpenGL4 is strongly needed, it's my main factor to upgrade.
    Any news about it?
     
  6. Biagio Paruolo

    Biagio Paruolo Bit poster

    Messages:
    7
  7. BrunelloF

    BrunelloF Bit poster

    Messages:
    1
    Wow! It's really impressive to discover that it's being 4 years that people are asking this upgrade and you still did nothing
     
  8. JosephG19

    JosephG19 Bit poster

    Messages:
    1
    OpenGL 4.3 or higher would be great. Adding to this ongoing thread.
     
  9. Pavel Merkulov

    Pavel Merkulov Parallels Team

    Messages:
    146
    Hello,

    Thank you for your feedback.

    We've clarified the information with the Development Team, and we'd like to confirm that indeed currently Parallels Desktop only support up to OpenGL 3.3 in Windows virtual machines. Our Development Team is working on implementing support for higher versions. At the same time, it is important to note that in macOS itself, the support is limited to up to OpenGL 4.1. Therefore, it isn't likely that support for higher versions of OpenGL in virtual machines running on macOS will be implemented in the foreseeable future.
     
  10. ChristianA14

    ChristianA14 Bit poster

    Messages:
    2
    Nur mit OpenGL wird es für uns Nutzbar. Danke
     
  11. StephenP21

    StephenP21 Bit poster

    Messages:
    1
    It's been long enough. Open GL4.1 support is mandatory. This is even more critical as there is no other way to run Windows 11 apps on M1 systems except Parallels. I used to be able to use bootcamp but not know. I use professional grade 3D applications that need a minimum of 4.1. When will we see this?
    Thanks
     
  12. fahlman

    fahlman Junior Member

    Messages:
    14
    VMware Fusion supports OpenGL 4.3 and offers 40% off to crossgrade from Parallels Desktop.
     
  13. Dmitry@Parallels

    Dmitry@Parallels Parallels Team

    Messages:
    690
    Hey @StephenP21, what's the software name(s)?
     
  14. TimK13

    TimK13 Junior Member

    Messages:
    14

    This could be a great opportunity to go way beyond what MacOS natively supports.
    One path to achieve that would be for Parallels to implement drivers for Vulkan (possibly achieved as a thin wrapper around MoltenVK).. which may then provide a path to using Zink to achieve OpenGL 4.6 support.

    Reference: https://www.phoronix.com/news/Mesa-22.0-Build-macOS-Zink
     
  15. TimK13

    TimK13 Junior Member

    Messages:
    14
    Parallels 19 has landed with OpenGL 4.1 support for Windows guests.. Linux guests are still stuck on 4.0 via virGL, hopefully that gets a bump at some stage
     
    fahlman likes this.
  16. JariV2

    JariV2 Bit poster

    Messages:
    2
    After loading parallels 19 my Parallels will crash when I try to open Wysiwyg files. Any help?
     
  17. Dmitry@Parallels

    Dmitry@Parallels Parallels Team

    Messages:
    690
    Hey @JariV2, the next time you open Parallels Desktop, it is supposed to offer you to send a technical report - have you seen such an offer? Would you please send us a report and reply with the report ID? Also, you say "after loading v19", does it mean that you have used a previous version successfully?
     
  18. Alfredoo2

    Alfredoo2 Bit poster

    Messages:
    1
    Me pasa lo mismo.

    el 18 lo abría pero no funcionaba bien .
    Mande el reporte del crash pero no obtenido ninguna respuesta.

    The same thing happens to me.

    I opened it on the 18th but it didn't work well.

    Send the crash report but didn't get any response.
     
  19. beaub1

    beaub1 Bit poster

    Messages:
    1
    Seconding request for openGL 4.2 or higher in windows or linux on mac apple silicon hosts please.
    I see vmware fusion has it and it is working, so it must be technically doable somehow.
    I dont want to switch to fusion from parallels because i love parallels so much, but certain games i want to play aren't working.

    interestingly the main game "Beyond All Reason" WAS partially working under parallels 18 (some shaders werent loading because of a need for GLSL42), but now under parallels 19 it crashes the whole VM out. I have sent a number of crash reports about this.
     
  20. AnttiA

    AnttiA Bit poster

    Messages:
    2
    I use Cadmatic 2023 Draw 3D modeling software (similar to Acad).
    After newest release (I have updated to MacOs Sonoma, parallels 19 and Cadmatic. I noticed this problem after these updates, but I dont know which cause the problem), i cant use 3D shading.
    Cadmatic error code is: There is no compatible OpenGL version what is needed. Recommendation is 4.3 or higher, minimum 3.3.
     

Share This Page